org.codehaus.groovy.antlr

## Class LineColumn

- java.lang.Object
- - org.codehaus.groovy.antlr.LineColumn

-     public class LineColumn
      extends java.lang.Object

  An object representing a line and column position

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineColumn(int line, int column)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getColumn()`
    `int` | `getLine()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LineColumn

          public LineColumn(int line,
                            int column)

  - ### Method Detail

    - #### getLine

          public int getLine()

    - #### getColumn

          public int getColumn()

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`